using APT.BaseData.Domain.Entities;
using APT.BaseData.Domain.Entities.FM;
using APT.BaseData.Domain.Enums.PF;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.SC
{
    [Description("会议纪要意见结果")]
    public class T_SC_MT_MEETING_MINUTES_CONTENT_DEAL : MesEntityBase
    {
        /// <summary>
        /// 会议纪要意见
        /// </summary>
        [DataFieldForeignKey("Nav_Content", "Nav_ListContentDeal")]
        public Guid CONTENT_ID { get; set; }

        /// <summary>
        /// 会议纪要意见
        /// </summary>
        [Description("导航：会议纪要意见")]
        public virtual T_SC_MT_MEETING_MINUTES_CONTENT Nav_Content { get; set; }

        /// <summary>
        /// 会议意见内容选项
        /// </summary>
        [Description("会议意见内容选项")]
        [DataFieldForeignKey("Nav_ContentDeal")]
        public Guid CONTENT_DEAL_ID { get; set; }

        /// <summary>
        /// 会议意见内容选项
        /// </summary>
        [Description("导航：会议意见内容选项")]
        public virtual T_SC_MT_CONTENT_DEAL Nav_ContentDeal { get; set; }


        /// <summary>
        /// 是否选中
        /// </summary>
        [Description("是否选中")]
        public bool ISCHECK { get; set; }

        /// <summary>
        /// 获取到分数
        /// </summary>
        [Description("获取到分数")]
        public int GETPOINT { get; set; }
    }
}